Debian Bug report logs - #721786
virtualbox-dkms: Virtualbox netfilter modules don't work on Kernel 3.11

version graph

Package: virtualbox-dkms; Maintainer for virtualbox-dkms is Debian Virtualbox Team <pkg-virtualbox-devel@lists.alioth.debian.org>; Source for virtualbox-dkms is src:virtualbox.

Reported by: manul <manul91@abv.bg>

Date: Wed, 4 Sep 2013 02:33:02 UTC

Severity: important

Tags: patch

Found in version virtualbox/4.2.16-dfsg-2

Fixed in version virtualbox/4.2.16-dfsg-3

Done: Felix Geyer <fgeyer@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, manul91@abv.bg, Debian Virtualbox Team <pkg-virtualbox-devel@lists.alioth.debian.org>:
Bug#721786; Package virtualbox-dkms. (Wed, 04 Sep 2013 02:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to manul <manul91@abv.bg>:
New Bug report received and forwarded. Copy sent to manul91@abv.bg, Debian Virtualbox Team <pkg-virtualbox-devel@lists.alioth.debian.org>. (Wed, 04 Sep 2013 02:33:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: manul <manul91@abv.bg>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: virtualbox-dkms: Virtualbox netfilter modules don't work on Kernel 3.11
Date: Tue, 03 Sep 2013 22:30:26 -0400
Package: virtualbox-dkms
Version: 4.2.16-dfsg-2
Severity: important
Tags: patch

Dear Maintainer,

Upgrading to kernel 3.11 renders debian virtualbox package unusable.
Attempt to start virtual machines, results in an error message with regards to network (it suggests to manually modprobe vboxnetflt module; but it is already loaded).


Typical VBox log upon failed start VM attempt under 3.11 kernel:
--------
.............
00:00:01.199735 IntNet#0: szNetwork={HostInterfaceNetworking-eth0} enmTrunkType=3 szTrunk={eth0} fFlags=0x8000 cbRecv=325632 cbSend=196608 fIgnoreConnectFailure=false
00:00:01.199826 VMSetError: /tmp/buildd/virtualbox-4.2.16-dfsg/src/VBox/Devices/Network/DrvIntNet.cpp(1718) int drvR3IntNetConstruct(PPDMDRVINS, PCFGMNODE, uint32_t); rc=VERR_INTNET_FLT_IF_NOT_FOUND
00:00:01.199847 VMSetError: Failed to open/create the internal network 'HostInterfaceNetworking-eth0' (you might need to modprobe vboxnetflt to make it accessible)
00:00:01.199908 VMSetError: /tmp/buildd/virtualbox-4.2.16-dfsg/src/VBox/Devices/Network/DevE1000.cpp(7680) int e1kConstruct(PPDMDEVINS, int, PCFGMNODE); rc=VERR_INTNET_FLT_IF_NOT_FOUND
00:00:01.199913 VMSetError: Failed to attach the network LUN
00:00:01.199927 PDM: Failed to construct 'e1000'/0! VERR_INTNET_FLT_IF_NOT_FOUND (-3600) - The networking interface to filter was not found. 
--------

The problem affects both Linux & Windows virtual machines, both 32 and 64 bit (no difference what virtual adapter was used).

Booting into a previous 3.10 kernel resolves the issue.

More info:

Exact problematic kernel which failed is 3.11-0.slh.1-aptosid-amd64.
The last kernel with which Virtualbox works fine is 3.10-10.slh.1-aptosid-amd64

aptosid is a sid-based Debian dfsg distribution.

aptosid's kernel maintainer advised to provide you the following related patch links from upstream:

https://www.virtualbox.org/ticket/12001

Here is also the related discussion in aptosid's support forum:

http://aptosid.com/index.php?name=PNphpBB2&file=viewtopic&t=2662

Thanks,

manul

-- System Information:
Debian Release: jessie/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.10-10.slh.1-aptosid-amd64 (SMP w/4 CPU cores; PREEMPT)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Virtualbox Team <pkg-virtualbox-devel@lists.alioth.debian.org>:
Bug#721786; Package virtualbox-dkms. (Wed, 11 Sep 2013 06:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "shankao@gmail.com" <shankao@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Virtualbox Team <pkg-virtualbox-devel@lists.alioth.debian.org>. (Wed, 11 Sep 2013 06:36:05 GMT) Full text and rfc822 format available.

Message #10 received at 721786@bugs.debian.org (full text, mbox):

From: "shankao@gmail.com" <shankao@gmail.com>
To: 721786@bugs.debian.org
Date: Wed, 11 Sep 2013 14:33:08 +0800
[Message part 1 (text/plain, inline)]
This has been fixed in Virtualbox 4.2.18. See the last comments in
upstream's bug report: https://www.virtualbox.org/ticket/12001
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Virtualbox Team <pkg-virtualbox-devel@lists.alioth.debian.org>:
Bug#721786; Package virtualbox-dkms. (Fri, 13 Sep 2013 16:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to rrs@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Virtualbox Team <pkg-virtualbox-devel@lists.alioth.debian.org>. (Fri, 13 Sep 2013 16:30:05 GMT) Full text and rfc822 format available.

Message #15 received at 721786@bugs.debian.org (full text, mbox):

From: Ritesh Raj Sarraf <rrs@debian.org>
To: 721786@bugs.debian.org, Felix Geyer <fgeyer@debian.org>
Subject: patch for bug 721786
Date: Fri, 13 Sep 2013 21:57:07 +0530
[Message part 1 (text/plain, inline)]
Hello Felix,

I've prepared the patch for this issue (attached). VBox has become a
necessity in my workflow. It'd be really helpful if you could review and
make a release.

Ritesh

-- 
Ritesh Raj Sarraf | http://people.debian.org/~rrs
Debian - The Universal Operating System

[0001-Fix-VBox-network-interface-error-on-Linux-3.11.patch (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Reply sent to Felix Geyer <fgeyer@debian.org>:
You have taken responsibility. (Thu, 19 Sep 2013 21:30:05 GMT) Full text and rfc822 format available.

Notification sent to manul <manul91@abv.bg>:
Bug acknowledged by developer. (Thu, 19 Sep 2013 21:30:05 GMT) Full text and rfc822 format available.

Message #20 received at 721786-close@bugs.debian.org (full text, mbox):

From: Felix Geyer <fgeyer@debian.org>
To: 721786-close@bugs.debian.org
Subject: Bug#721786: fixed in virtualbox 4.2.16-dfsg-3
Date: Thu, 19 Sep 2013 21:27:09 +0000
Source: virtualbox
Source-Version: 4.2.16-dfsg-3

We believe that the bug you reported is fixed in the latest version of
virtualbox, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 721786@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Felix Geyer <fgeyer@debian.org> (supplier of updated virtualbox package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 19 Sep 2013 21:52:12 +0200
Source: virtualbox
Binary: virtualbox-qt virtualbox virtualbox-dbg virtualbox-dkms virtualbox-source virtualbox-guest-dkms virtualbox-guest-source virtualbox-guest-x11 virtualbox-guest-utils
Architecture: source amd64 all
Version: 4.2.16-dfsg-3
Distribution: unstable
Urgency: low
Maintainer: Debian Virtualbox Team <pkg-virtualbox-devel@lists.alioth.debian.org>
Changed-By: Felix Geyer <fgeyer@debian.org>
Description: 
 virtualbox - x86 virtualization solution - base binaries
 virtualbox-dbg - x86 virtualization solution - debugging symbols
 virtualbox-dkms - x86 virtualization solution - kernel module sources for dkms
 virtualbox-guest-dkms - x86 virtualization solution - guest addition module source for dk
 virtualbox-guest-source - x86 virtualization solution - guest addition module source
 virtualbox-guest-utils - x86 virtualization solution - non-X11 guest utilities
 virtualbox-guest-x11 - x86 virtualization solution - X11 guest utilities
 virtualbox-qt - x86 virtualization solution - Qt based user interface
 virtualbox-source - x86 virtualization solution - kernel module source
Closes: 721786
Changes: 
 virtualbox (4.2.16-dfsg-3) unstable; urgency=low
 .
   [ Ritesh Raj Sarraf ]
   * Fix VBox network interface error on Linux 3.11. (Closes: #721786)
     - Extend 37-linux-3.11.patch
Checksums-Sha1: 
 bdd9afcdfc9049e41318af004a1010e0c186ac6a 3466 virtualbox_4.2.16-dfsg-3.dsc
 6e6cc02e0bc3436726c71601682bb3174a82b5f6 88923 virtualbox_4.2.16-dfsg-3.debian.tar.gz
 615b4accd463b2825b1da0f07e4129c6f98fa2ca 4610938 virtualbox-qt_4.2.16-dfsg-3_amd64.deb
 a1f782e6e6401519ea171e69f4686e098303f71c 14151498 virtualbox_4.2.16-dfsg-3_amd64.deb
 76524a5cc4f56a6b838a29890f7d16dfa5edb945 56811464 virtualbox-dbg_4.2.16-dfsg-3_amd64.deb
 f31eca77e397078afe66dcf0dda8407ea725ad27 533210 virtualbox-dkms_4.2.16-dfsg-3_all.deb
 20d8949b3b6502f91c24d68dc0ee2fcef6859caf 633618 virtualbox-source_4.2.16-dfsg-3_all.deb
 e86c93a3702aadf0e5190057c60bc6f58aa0d349 451844 virtualbox-guest-dkms_4.2.16-dfsg-3_all.deb
 b7176a07562fa473e0e2709ead82de60edc2ce99 550452 virtualbox-guest-source_4.2.16-dfsg-3_all.deb
 ee7d4a3f159269505ed5e50ba95b283552e97e8f 982196 virtualbox-guest-x11_4.2.16-dfsg-3_amd64.deb
 781a80e00468302aa3e9005e67ec66b3fdd1d351 342026 virtualbox-guest-utils_4.2.16-dfsg-3_amd64.deb
Checksums-Sha256: 
 caf129057df83404c97a74b9ff4fb6ddcc492653bff03a5c978ab73f561263ca 3466 virtualbox_4.2.16-dfsg-3.dsc
 75f2e74202141f47f7bdc8c1f79e0697e1ec9a2d8e405ea25bf3312e5d04d6d9 88923 virtualbox_4.2.16-dfsg-3.debian.tar.gz
 56b08ca2c805ad54159e0a10ba07a2fe716bf52845c7b3cbc05fb6c7b74c525a 4610938 virtualbox-qt_4.2.16-dfsg-3_amd64.deb
 32581e8ea01c3f7e081e236a428d94728d457a3a0074304ff48d1eec386a70c4 14151498 virtualbox_4.2.16-dfsg-3_amd64.deb
 6c8f8d5da2f8e36fa71aed30c6120d4c250ce9f87de8d3e7406cc6da4f846539 56811464 virtualbox-dbg_4.2.16-dfsg-3_amd64.deb
 26126ec3a4442ecf2a72559aa86f2d0d11fe405e1ac7c30d58fb866a82c442d8 533210 virtualbox-dkms_4.2.16-dfsg-3_all.deb
 731a3532afda346c7bbbc9152a561ada9644121485e1e016f12bb84fbffc4508 633618 virtualbox-source_4.2.16-dfsg-3_all.deb
 121d4f9236378f56508040bd6e1b86100481cbfb498f60b1f4aed44a00da1be8 451844 virtualbox-guest-dkms_4.2.16-dfsg-3_all.deb
 9e4d9bebbca89800ff6d076fa25b20068ff188b27c5e4e7fbfe3417ba749b5e9 550452 virtualbox-guest-source_4.2.16-dfsg-3_all.deb
 f5e2226d316d52e8c7e058f46cf6d58e9b91e02965268fc1fbf371184fa7d347 982196 virtualbox-guest-x11_4.2.16-dfsg-3_amd64.deb
 8da143aabe0b3136fa357da7ecd1621c7b0289b10bf2738a34c20b4a0b70cd87 342026 virtualbox-guest-utils_4.2.16-dfsg-3_amd64.deb
Files: 
 54c0e68c9883ac98c922569a2abc6460 3466 contrib/misc optional virtualbox_4.2.16-dfsg-3.dsc
 11b9d46a507b2b735ebf6763749aada1 88923 contrib/misc optional virtualbox_4.2.16-dfsg-3.debian.tar.gz
 eb6994edff21cfecc35f908f663ebdc0 4610938 contrib/misc optional virtualbox-qt_4.2.16-dfsg-3_amd64.deb
 38d7671d0cdfe67df788a295b9e3dc11 14151498 contrib/misc optional virtualbox_4.2.16-dfsg-3_amd64.deb
 ae68229f57eb017e516c8f55a25274bd 56811464 contrib/debug extra virtualbox-dbg_4.2.16-dfsg-3_amd64.deb
 6a8eb7c8e61008d7b8d9a2be4090669d 533210 contrib/kernel optional virtualbox-dkms_4.2.16-dfsg-3_all.deb
 20b35e19ffffc9fe6464974054a20246 633618 contrib/kernel optional virtualbox-source_4.2.16-dfsg-3_all.deb
 4965981496a2ce356974a298b7f35f4a 451844 contrib/kernel optional virtualbox-guest-dkms_4.2.16-dfsg-3_all.deb
 b1ae6fb338a04d1dffc6ea356ec1d8b5 550452 contrib/kernel optional virtualbox-guest-source_4.2.16-dfsg-3_all.deb
 28187e87df19ac5eae8e68cd871339b0 982196 contrib/x11 optional virtualbox-guest-x11_4.2.16-dfsg-3_amd64.deb
 f923c04934e1c40533614df6a7070db4 342026 contrib/misc optional virtualbox-guest-utils_4.2.16-dfsg-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJSO2NdAAoJEP4ixv2DE11FOxgQAJrykoNo3o9EUn0LFiKTiVfS
G81P2HKNBpdW/lUUMyjhTWj+j1oNO150w68/vQo71xcZpDpi4PD5nSKO7DOD+hKQ
/47zHlR8Gdf7oTy3dR43C4E4QyIaA2KUo5JygwaABNRm+wklkoN0seOLn9M4YKmo
6VJA6sgQgq8z3DDXQ75CoXckz0QohtZQhcFfh3M127lPZaX6xLBgdfali4phHZ88
tyM16qF70HBWt5SLagKPBrMdrPCfTc3pUvkEntWCzeT/sfxsb73fQRg2YXWlLmBH
LZxTKc0563ZqH/7fSDLMLP90nqJmMOUy9MiyvoYE75vT3vlhWuXGA5+sSvZMUXOD
6ptnfuOx2ZqZGj8+0AKnwwfSV1jGFfg3U+d4DpS+RPuxkC3BebdHb2jTyEYDQ/+u
oVCctabrQrDTTnyqNwqrT7XNNGCao6d9QawrJCvIplcUse5nlcWo+ImLFSMHFjIS
E+4/Ks4iqakhp2kU0RMJk58QKF3jUKNqp7/4mmxOaejzetAwEk25MBOxg1gIwvZs
z8hrqQB6l6OJkGwMuCkgjiCEnCDRBMiFES/Tw/rN08yCv07+sVmnGhIPzxWJCZUV
ySPjYHyx0g7+VPNkaTQuq46mw/oncUwzs4Si7xMERnjPjrZIOCUxqhheZ24JWvR+
xqdns7j0XleSqkup4SMZ
=xoG+
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Virtualbox Team <pkg-virtualbox-devel@lists.alioth.debian.org>:
Bug#721786; Package virtualbox-dkms. (Sat, 21 Sep 2013 20:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adam Borowski <kilobyte@angband.pl>:
Extra info received and forwarded to list. Copy sent to Debian Virtualbox Team <pkg-virtualbox-devel@lists.alioth.debian.org>. (Sat, 21 Sep 2013 20:00:05 GMT) Full text and rfc822 format available.

Message #25 received at 721786@bugs.debian.org (full text, mbox):

From: Adam Borowski <kilobyte@angband.pl>
To: 721786@bugs.debian.org
Subject: seems to be still broken
Date: Sat, 21 Sep 2013 21:56:58 +0200
With a fresh build of vanilla 3.11.1, virtualbox 4.2.16-dfsg-3, amd64:

[~]$ lsmod|grep vbox
vboxpci                23077  -1 
vboxnetadp             25443  -1109381119 
vboxnetflt             23324  -1 
vboxdrv               248694  -1 vboxnetadp,vboxnetflt,vboxpci

Nice use counts...

When trying to start a machine:
Kernel driver not installed (rc=-1908)

On 3.10.3 (Debian-built), all is ok.

-- 
ᛊᚨᚾᛁᛏᚣ᛫ᛁᛊ᛫ᚠᛟᚱ᛫ᚦᛖ᛫ᚹᛖᚨᚲ



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 04 Nov 2013 07:40:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 10:48:31 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.